Summary: A hard drive space monitor.
Name: diskcheck
Version: 1.2
Release: 1
Epoch: 2
Copyright: GPL
Group: Applications/System
Source: diskcheck-%{version}.tar.gz
Requires: crontabs, smtpdaemon
Prereq: grep
BuildRoot: %{_tmppath}/%{name}-%{version}-root
BuildArch: noarch

%description
DiskCheck is a small utility that monitors how much space is available
on your hard drive. It checks your drive space every hour and takes
action based on the specifications in a very simple config file.
When disks are nearing full capacity, mail will be sent to the system
administrator warning him to take action.

%prep
%setup -q

%install
rm -rf %{buildroot}

mkdir -p %{buildroot}/etc/cron.hourly
install -m 0755 diskcheck %{buildroot}/etc/cron.hourly/diskcheck
install -m 0660 diskcheck.conf %{buildroot}/etc/diskcheck.conf

%clean
rm -rf %{buildroot}

%post
# upgrade on diskcheck config file format
if grep -q "\$DefaultCutoff" /etc/diskcheck.conf || \
   grep -q "cutoff{" /etc/diskcheck.conf; then
	sed -e 's|^\(#\?\)\$|\1|' \
		-e 's|;$||' \
		-e 's|DefaultCutoff|defaultCutoff|' \
		-e 's|Cutoff{\(.*\)}|cutoff\[\1\]|' \
		-e 's|cutoff{\(.*\)}|cutoff\[\1\]|' \
		-e 's|mailfrom|mailFrom|' \
		-e 's|mailto|mailTo|' \
		-e 's|mailprog|mailProg|' \
		-e 's|diskcheck.pl|diskcheck|' \
		-e 's|^# Location and name.*||' \
		-e 's|^tempfile = .*||' /etc/diskcheck.conf > \
		/etc/diskcheck.conf.new
	cat /etc/diskcheck.conf.new > /etc/diskcheck.conf
	rm -f /etc/diskcheck.conf.new
fi
	
%files
%defattr(-,root,root)
%config(noreplace) /etc/diskcheck.conf
/etc/cron.hourly/diskcheck

%changelog
* Tue Apr 02 2002 Harald Hoyer <harald@redhat.de> 1.2-1
- fixed #58571

* Wed Nov  7 2001 Preston Brown <pbrown@redhat.com>
- fixed bugs (#54578, 55069)
- fix potential issue in upgrade post-script

* Wed Jun  6 2001 Preston Brown <pbrown@redhat.com>
- new program, idea from perl script of the same name
